メインコンテンツへスキップ
GET
/
api
/
v1
/
x402
/
sessions
List x402 Sessions
curl --request GET \
  --url https://api.agentwallex.com/api/v1/x402/sessions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "agent_id": "<string>",
      "budget_limit": "<string>",
      "budget_spent": "<string>",
      "budget_remaining": "<string>",
      "chain": "<string>",
      "status": "active",
      "allowed_urls": [
        "<string>"
      ],
      "expires_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}

curl -X GET https://api.agentwallex.com/api/v1/x402/sessions \
  -H "X-API-Key: awx_your_api_key"

承認

X-API-Key
string
header
必須

API key authentication. Keys are prefixed with awx_.

クエリパラメータ

page_num
integer
デフォルト:1

Page number (1-indexed).

必須範囲: x >= 1
page_size
integer
デフォルト:20

Number of items per page.

必須範囲: 1 <= x <= 100

レスポンス

Paginated list of x402 sessions.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.